org.eclipse.wst.jsdt.ui.actions

## Class AddDelegateMethodsAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.AddDelegateMethodsAction

    public class AddDelegateMethodsAction
    extends SelectionDispatchAction

Creates delegate methods for a type's fields. Opens a dialog with a list of fields for which delegate methods can be generated. User is able to check or uncheck items before methods are generated.

Will open the parent compilation unit in a JavaScript editor. The result is unsaved, so the user can decide if the changes are acceptable.

The action is applicable to structured selections containing elements of type `IField` or `IType`.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`AddDelegateMethodsAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.CompilationUnitEditor editor)` Note: This constructor is for internal use only.
`AddDelegateMethodsAction(IWorkbenchSite site)` Creates a new `AddDelegateMethodsAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IStructuredSelection selection)` Executes this actions with the given selection.
`void` `run(ITextSelection selection)` Executes this actions with the given selection.
`void` `selectionChanged(IStructuredSelection selection)`
`void` `selectionChanged(ITextSelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddDelegateMethodsAction

    public AddDelegateMethodsAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.CompilationUnitEditor editor)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the compilation unit editor

#### AddDelegateMethodsAction

    public AddDelegateMethodsAction(IWorkbenchSite site)

Creates a new `AddDelegateMethodsAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### Method Detail

#### run

    public void run(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(ITextSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### selectionChanged

    public void selectionChanged(ITextSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`